using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace nuget_cli
{

    partial class Program
    {
        private static void SourceList(IEnumerable<string> sargs)
        {
            throw new NotImplementedException();
        }

        private static object SourceAdd(IEnumerable<string> str)
        {
            throw new NotImplementedException();
        }

        private static object Add(IEnumerable<string> str)
        {
            throw new NotImplementedException();
        }

        private static async Task<List<PushReport>> PushPkgAsync(IEnumerable<string> pkgs)
        {
            List<PushReport> pushReports = new List<PushReport>();

            foreach (string pkg in pkgs)
            {
                var report = await PushCommand.RunAsync(pkg, source, apiKey);

                pushReports.Add(report);
            }
            return pushReports;
        }

        private static object StoreApiKey(IEnumerable<string> str)
        {
            throw new NotImplementedException();
        }

        private static string LocalizeThis(string arg)
        {
            return arg;
        }
    }
}